Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1654667

Summary: Review Request: perl-Authen-U2F-Tester - FIDO/U2F Authentication Test Client
Product: [Fedora] Fedora Reporter: Xavier Bachelot <xavier>
Component: Package ReviewAssignee: Petr Pisar <ppisar>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, ppisar, zebob.m
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: ppisar: fedora-review+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-10-25 12:53:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1654664, 1654665, 1654710    
Bug Blocks: 1654670    

Description Xavier Bachelot 2018-11-29 11:38:31 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/perl-Authen-U2F-Tester.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/perl-Authen-U2F-Tester-0.03-1.fc29.src.rpm

Description: 
This module implements a FIDO/U2F tester that can be used for testing web
applications that support FIDO/U2F. Think of this module as a "virtual" U2F
security key.

Fedora Account System Username: xavierb

Comment 1 Robert-André Mauchin 🐧 2018-11-30 20:43:30 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: d9d39ab18dd41061a246da095ecbfb60115996ddaf7f3afdda68854a987d97c2) is original. Ok.
Summary verified from lib/Authen/U2F/Tester.pm. Ok.
Description verified from lib/Authen/U2F/Tester.pm. Ok.
License verified from lib/Authen/U2F/Tester.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

 - Use DESTDIR

 make pure_install DESTDIR=$RPM_BUILD_ROOT

 - Build fails:

DEBUG util.py:490:  BUILDSTDERR: No matching package to install: 'perl(Authen::U2F)'
DEBUG util.py:490:  BUILDSTDERR: No matching package to install: 'perl(Crypt::PK::ECC)'

Comment 2 Package Review 2020-07-30 00:45:34 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 3 Petr Pisar 2020-07-30 07:54:48 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
> DEBUG util.py:490:  BUILDSTDERR: No matching package to install:
> 'perl(Authen::U2F)'

This will be resolved in bug #1654664.

> DEBUG util.py:490:  BUILDSTDERR: No matching package to install:
> 'perl(Crypt::PK::ECC)'

This was rejected in bug #1654710. This package should be patched not to need Crypt::PK::ECC.

Comment 4 Package Review 2021-08-01 00:45:30 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 5 Package Review 2021-08-31 00:45:36 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.

Comment 7 Package Review 2023-02-25 00:45:24 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 8 Package Review 2023-03-28 00:45:21 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.

Comment 10 Petr Pisar 2023-10-25 10:18:52 UTC
URL and Source0 addresses are Ok.
Source0 archive (SHA-512: bff21d639835b77792ae7ec29d076d5caa995505e33a804a32fe91b292c40bb5ab299296cceda9fbbe3962282da063803c031f4f2e0039e35e5577f4df1a5a0d) is original. Ok.
Summary verified from lib/Authen/U2F/Tester.pm. Ok.
Description verified from lib/Authen/U2F/Tester.pm. Ok.
License verified in lib/Authen/U2F/Tester/Keystore/Wrapped.pm, lib/Authen/U2F/Tester/RegisterResponse.pm, lib/Authen/U2F/Tester/Role/Response.pm, lib/Authen/U2F/Tester/Role/Keystore.pm, lib/Authen/U2F/Tester/SignResponse.pm, lib/Authen/U2F/Tester/Keypair.pm, lib/Authen/U2F/Tester/Error.pm, lib/Authen/U2F/Tester/Const.pm, lib/Authen/U2F/Tester.pm, Makefile.PL, LICENSE, and README. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Constrain 'perl(ExtUtils::MakeMaker)' dependency with '>= 6.76' because of NO_PACKLIST=1 NO_PERLLOCAL=1 Makefile.PL arguments.
FIX: Build-requires 'coreutils' (perl-Authen-U2F-Tester.spec:59).

Test::Pod::Coverage, Pod::Coverage::TrustPod, Test::Pod, and Test::Signature are not used by default. Ok.
TODO: Unexport AUTHOR_TESTING environment variable in %check section, or remove t/author-*.t files in %prep section to prevent from accidentally running the author tests.

All tests pass. Ok.

$ rpmlint perl-Authen-U2F-Tester.spec ../SRPMS/perl-Authen-U2F-Tester-0.03-3.fc40.src.rpm ../RPMS/noarch/perl-Authen-U2F-Tester-0.03-3.fc40.noarch.rpm 
======================================== rpmlint session starts =======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 3

========= 2 packages and 1 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s ========
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Authen-U2F-Tester-0.03-3.fc40.noarch.rpm
drwxr-xr-x    2 root     root                        0 Oct  4 02:00 /usr/share/doc/perl-Authen-U2F-Tester
-rw-r--r--    1 root     root                      880 Apr  9  2018 /usr/share/doc/perl-Authen-U2F-Tester/Changes
-rw-r--r--    1 root     root                      378 Apr  9  2018 /usr/share/doc/perl-Authen-U2F-Tester/README
drwxr-xr-x    2 root     root                        0 Oct  4 02:00 /usr/share/licenses/perl-Authen-U2F-Tester
-rw-r--r--    1 root     root                    18355 Apr  9  2018 /usr/share/licenses/perl-Authen-U2F-Tester/LICENSE
-rw-r--r--    1 root     root                     2955 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester.3pm.gz
-rw-r--r--    1 root     root                     1801 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester::Const.3pm.gz
-rw-r--r--    1 root     root                     1642 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester::Error.3pm.gz
-rw-r--r--    1 root     root                     1654 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester::Keypair.3pm.gz
-rw-r--r--    1 root     root                     1847 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester::Keystore::Wrapped.3pm.gz
-rw-r--r--    1 root     root                     1572 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester::RegisterResponse.3pm.gz
-rw-r--r--    1 root     root                     1928 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester::Role::Keystore.3pm.gz
-rw-r--r--    1 root     root                     1720 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester::Role::Response.3pm.gz
-rw-r--r--    1 root     root                     1569 Oct  4 02:00 /usr/share/man/man3/Authen::U2F::Tester::SignResponse.3pm.gz
drwxr-xr-x    2 root     root                        0 Oct  4 02:00 /usr/share/perl5/vendor_perl/Authen
drwxr-xr-x    2 root     root                        0 Oct  4 02:00 /usr/share/perl5/vendor_perl/Authen/U2F
drwxr-xr-x    2 root     root                        0 Oct  4 02:00 /usr/share/perl5/vendor_perl/Authen/U2F/Tester
-rw-r--r--    1 root     root                    10077 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester.pm
-rw-r--r--    1 root     root                     2872 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/Const.pm
-rw-r--r--    1 root     root                     2674 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/Error.pm
-rw-r--r--    1 root     root                     2703 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/Keypair.pm
drwxr-xr-x    2 root     root                        0 Oct  4 02:00 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/Keystore
-rw-r--r--    1 root     root                     3573 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/Keystore/Wrapped.pm
-rw-r--r--    1 root     root                     2156 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/RegisterResponse.pm
drwxr-xr-x    2 root     root                        0 Oct  4 02:00 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/Role
-rw-r--r--    1 root     root                     2789 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/Role/Keystore.pm
-rw-r--r--    1 root     root                     2645 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/Role/Response.pm
-rw-r--r--    1 root     root                     2110 Apr  9  2018 /usr/share/perl5/vendor_perl/Authen/U2F/Tester/SignResponse.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Authen-U2F-Tester-0.03-3.fc40.noarch.rpm | sort -f | uniq -c
      1 perl(Authen::U2F::Tester::Const)
      1 perl(Authen::U2F::Tester::Error)
      1 perl(Authen::U2F::Tester::Keypair)
      1 perl(Authen::U2F::Tester::RegisterResponse)
      1 perl(Authen::U2F::Tester::SignResponse)
      1 perl(base)
      1 perl(Carp)
      1 perl(constant)
      1 perl(Crypt::OpenSSL::X509)
      1 perl(Crypt::PK::ECC)
      1 perl(Digest::SHA)
      1 perl(Exporter)
      1 perl(JSON::MaybeXS)
      1 perl(List::Util)
      1 perl(MIME::Base64)
      1 perl(Moose)
      1 perl(Moose::Role)
      1 perl(MooseX::AttributeShortcuts)
      1 perl(MooseX::SingleArg)
      1 perl(namespace::autoclean)
      1 perl(strictures) >= 2
      1 perl-libs
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsZstd) <= 5.4.18-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Authen-U2F-Tester-0.03-3.fc40.noarch.rpm | sort -f | uniq -c
      1 perl(Authen::U2F::Tester) = 0.03
      1 perl(Authen::U2F::Tester::Const) = 0.03
      1 perl(Authen::U2F::Tester::Error) = 0.03
      1 perl(Authen::U2F::Tester::Keypair) = 0.03
      1 perl(Authen::U2F::Tester::Keystore::Wrapped) = 0.03
      1 perl(Authen::U2F::Tester::RegisterResponse) = 0.03
      1 perl(Authen::U2F::Tester::Role::Keystore) = 0.03
      1 perl(Authen::U2F::Tester::Role::Response) = 0.03
      1 perl(Authen::U2F::Tester::SignResponse) = 0.03
      1 perl-Authen-U2F-Tester = 0.03-3.fc40
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Authen-U2F-Tester-0.03-3.fc40.noarch.rpm 
Binary dependencies are resolvable. Ok.

The package builds in Fedora 40 (https://koji.fedoraproject.org/koji/taskinfo?taskID=108080191). Ok.

Otherwise, the package is in line with Fedora and Perl packaging guidelines.
Please correct the FIX item and consider fixing the TODO items before building this package.
Package is APPROVED.

Comment 11 Fedora Admin user for bugzilla script actions 2023-10-25 10:54:57 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Authen-U2F-Tester

Comment 12 Xavier Bachelot 2023-10-25 12:53:09 UTC
Thanks for the review Petr :-)